**    ModelEco : MODELisation en programmation mathmatique pour l'analyse ECOnomique de l'agriculure    **

*-----------------------------------------------------------------------------*
$Ontext
Nom              Primal0
Sequence         1 - Initiation  la programmation mathmatique avec GAMS
Type             LP
Langage GAMS     Introduction au langage GAMS
Description
" Soit une exploitation agricole qui peut pratiquer deux cultures : le bl et le mas.
On cherche  dterminer la superficie  cultiver dans chaque production, sachant que :
L'objectif de l'agriculteur est la maximisation du revenu
Par hectare, la marge brute du bl est de 450 et celle du mais de 1000.
Le bl utilise 25 heures de travail par ha et par an et le mais 50 heures
La surface de l'exploitation est de 50 ha et l'agriculteur dispose de 2000 heures de travail par an. "


$Offtext
*-----------------------------------------------------------------------------*


*----------                          INDICES                        ----------*
sets
C cultures  /ble,mais/
;


*----------                          DONNEES                        ----------*
scalar
DTERRE disponibilite de terre en hectares       /50/
DMO    disponibilite de travail en heures     /2000/
;

parameter
BMO(C) besoins en travail par hectare et par culture (heures)
/ble    25
 mais   50/

MB(C) marge brute par culture (euros)
/ble    450
 mais  1000/
;

*----------                         MODELE                          ----------*
 variables
   Z    revenu total de l exploitation (euros)
;

positive variables
   X superficie par culture (hectares)
;

equations
   OBJECTIF       fonction objectif
   TERRE          contrainte de terre
  TRAVAIL        contrainte de travail
;

OBJECTIF..  sum(c, mb(c)*X(c)) =E= Z ;

TERRE..    sum(c, X(c)) =l= dterre ;

TRAVAIL..  sum(c, bmo(c)*X(c)) =L= dmo;


model exemple premier exemple /all/;

*----------                        SOLUTION                         ----------*
solve exemple using LP maximizing Z;



